Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000294 [Yate - Yet Another Telephony Engine] module feature always 2012-02-22 09:27 2012-03-06 14:29
Reporter ojab View Status public  
Assigned To paulc
Priority normal Resolution reopened  
Status feedback   Product Version SVN
Summary 0000294: rmanager history isn't reliable
Description Commands in rmanager history often cannot be reached by up/down keys.
1. telnet localhost 5038
2. `auth abcd`
3. `status`
4. Up key leads to `status` command and up/down keys doesn't work after that (still `status` command in rmanager).
Additional Information CentOS 5.7 x86_64, yate has been built via `make rpm`.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000435)
ojab (reporter)
2012-02-23 11:36

…and also right/left keys don't work.
(0000436)
paulc (administrator)
2012-02-23 17:45

The history currently has a length of one so that's a "normal" behavior.

Line editing (other than deleting from end) would be nice to have too.

Changing severity to "feature".
(0000441)
paulc (administrator)
2012-02-24 20:08

Command line editing and multi line history added in SVN Rev 4945.
(0000449)
ojab (reporter)
2012-03-06 14:29
edited on: 2012-03-06 14:32

Thank Paul.
Now there is history, but it's not ideal [for me]:

$ telnet localhost 5038

>auth my_pass [Enter]
>uptime [Enter]
>status overview [Enter]
Press double [Up], you'll see:
>uptime [Enter]
Press double [Up] again:
>auth my_pass

But I'll expect to see `status overview`, which 2 commands up.
And maybe `auth` command shouldn't be placed to history?

Is it possible to add also Ctrl-a/Ctrl-e for jump to line begin/end and Alt-f/Alt-b for one word forward/backward (just like bash works)?


- Issue History
Date Modified Username Field Change
2012-02-22 09:27 ojab New Issue
2012-02-23 11:36 ojab Note Added: 0000435
2012-02-23 17:45 paulc Note Added: 0000436
2012-02-23 17:45 paulc Severity minor => feature
2012-02-23 17:45 paulc Status new => acknowledged
2012-02-24 20:08 paulc Note Added: 0000441
2012-02-24 20:08 paulc Assigned To => paulc
2012-02-24 20:08 paulc Status acknowledged => resolved
2012-02-24 20:08 paulc Resolution open => fixed
2012-03-06 14:29 ojab Note Added: 0000449
2012-03-06 14:29 ojab Status resolved => feedback
2012-03-06 14:29 ojab Resolution fixed => reopened
2012-03-06 14:32 ojab Note Edited: 0000449


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker